Bug 620556 - Review Request: folks - GObject contact aggregation library
Summary: Review Request: folks - GObject contact aggregation library
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 619137 620711 624951 627418 627420
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 20:23 UTC by Yanko Kaneti
Modified: 2010-09-11 03:38 UTC (History)
5 users (show)

Fixed In Version: telepathy-logger-0.1.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-11 03:38:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Yanko Kaneti 2010-08-02 20:23:33 UTC
Spec URL: http://declera.com/~yaneti/folks/folks.spec
SRPM URL: http://declera.com/~yaneti/folks/folks-0.1.11-1.fc15.src.rpm
Description: 
libfolks is a library that aggregates people from multiple sources (e.g. 
Telepathy connection managers and eventually evolution data server, 
Facebook, etc.) to create meta-contacts. 

Build requirement for newest empathy.

Comment 1 Yanko Kaneti 2010-08-02 21:55:41 UTC
New upstream release

Spec URL: http://declera.com/~yaneti/folks/folks.spec
SRPM URL: http://declera.com/~yaneti/folks/folks-0.1.12-1.fc15.src.rpm

Comment 2 Matthias Clasen 2010-08-12 00:00:44 UTC
Unfortunately, it doesn't build with the vala 0.9.5 in rawhide, because the pc file got renamed to vala-0.10.pc; while you fix that, there's a newer version out there (not sure if it fixes the vala problem).

Comment 3 Yanko Kaneti 2010-08-12 07:25:20 UTC
New upstream release and and attempt to deal with the new vala api versioning

Spec URL: http://declera.com/~yaneti/folks/folks.spec
SRPM URL: http://declera.com/~yaneti/folks/folks-0.1.13-1.fc15.src.rpm   

This still requires telepathy-glib built with the vala bindings..

Comment 4 Matthias Clasen 2010-08-12 15:27:23 UTC
looks like you are missing a libgee-devel BR ?

Comment 5 Yanko Kaneti 2010-08-12 16:32:07 UTC
Yep, thanks

Spec URL: http://declera.com/~yaneti/folks/folks.spec
SRPM URL: http://declera.com/~yaneti/folks/folks-0.1.13-2.fc15.src.rpm   

- Add BR: libgee-devel

Comment 6 Yanko Kaneti 2010-08-17 15:21:41 UTC
Spec URL: http://declera.com/~yaneti/folks/folks.spec
SRPM URL: http://declera.com/~yaneti/folks/folks-0.1.13-3.fc15.src.rpm   

- Update for the available telepathy-glib vala packaging

Comment 7 Yanko Kaneti 2010-08-17 17:28:18 UTC
Spec URL: http://declera.com/~yaneti/folks/folks.spec
SRPM URL: http://declera.com/~yaneti/folks/folks-0.1.13-4.fc15.src.rpm   

- Add BR: vala-tools

Comment 8 Matthias Clasen 2010-08-17 18:19:32 UTC
Finally builds in mock, thanks.

rpmlint output:

folks.src: W: spelling-error Summary(en_US) GObject -> G Object, Object, Subject
folks.src: W: no-cleaning-of-buildroot %clean
folks.src: W: no-buildroot-tag
folks.src: W: no-%clean-section
folks.x86_64: W: spelling-error Summary(en_US) GObject -> G Object, Object, Subject
folks-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 9 Yanko Kaneti 2010-08-18 08:42:31 UTC
So folks has a new release that fixes the vala versioning issues but also requires newer introspection from libgee (bug 620711), and switches to introspection based build for the telepathy backend wich brings up some vala issues (bug 624951)

Spec URL: http://declera.com/~yaneti/folks/folks.spec
SRPM URL: http://declera.com/~yaneti/folks/folks-0.1.14-1.fc15.src.rpm

Comment 10 Matthias Clasen 2010-08-18 12:41:37 UTC
Package name: ok
Spec file name: ok
Packaging guidelines: ok
License: ok
License field: ok
License file: ok
Spec file language: ok
Spec file readable: ok
Upstream sources: ok
Buildable: ok
ExcludeArch: ok
BuildRequires: ok
Locale handling: ok
ldconfig: ok
system libraries: ok
relocatable: ok
directory ownership: ok, could make it slightly more explicit by replacing  %{_includedir}/* with %{_includedir}/folks
duplicate files: ok
file permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
header files: ok
static libraries: ok
shared libraries: ok
-devel deps: ok
libtool archives: ok
gui applications: ok
file ownership: ok
utf8 filenames: ok

Approved

Comment 11 Yanko Kaneti 2010-08-18 13:23:41 UTC
- directory ownership: ok, could make it slightly more explicit by replacing 
%{_includedir}/* with %{_includedir}/folks

thanks, will do.

New Package SCM Request
=======================
Package Name: folks
Short Description: GObject contact aggregation library
Owners: yaneti mclasen
Branches: f14
InitialCC:

Comment 12 Kevin Fenzi 2010-08-18 21:15:46 UTC
Git done (by process-git-requests).

Comment 13 Yanko Kaneti 2010-08-18 23:07:19 UTC
Imported. Builds will happen when the blocking bugs are dealt with. 
Leaving open for now. 

Thanks.

Comment 14 Brian Pepple 2010-08-25 14:28:38 UTC
(In reply to comment #13)
> Imported. Builds will happen when the blocking bugs are dealt with. 
> Leaving open for now. 

What is exactly blocking this from being built? As far as I'm aware all the necessary BR are available in Rawhide.

Comment 15 Yanko Kaneti 2010-08-25 14:40:21 UTC
(In reply to comment #14)

> What is exactly blocking this from being built?

The listed blocking bugs.

Comment 16 Brian Pepple 2010-08-26 02:00:00 UTC
Rawhide requirements are built, please build rawhide folks ASAP so I can update Empathy. I'll work on updating the F14 requirements tomorrow.

Comment 17 Yanko Kaneti 2010-08-26 06:37:09 UTC
Rawhide build done.
http://koji.fedoraproject.org/koji/buildinfo?buildID=192161

Comment 18 Fedora Update System 2010-08-29 19:10:14 UTC
folks-0.1.14.1-1.fc14,libgee-0.5.2-2.fc14,vala-0.9.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/folks-0.1.14.1-1.fc14,libgee-0.5.2-2.fc14,vala-0.9.7-1.fc14

Comment 19 Fedora Update System 2010-08-30 19:39:39 UTC
folks-0.1.14.1-1.fc14, libgee-0.5.2-2.fc14, vala-0.9.7-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update folks libgee vala'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/folks-0.1.14.1-1.fc14,libgee-0.5.2-2.fc14,vala-0.9.7-1.fc14

Comment 20 Fedora Update System 2010-09-02 22:07:29 UTC
telepathy-logger-0.1.5-1.fc14, empathy-2.31.90-1.fc14, folks-0.1.14.1-1.fc14, libgee-0.5.2-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update telepathy-logger empathy folks libgee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/telepathy-logger-0.1.5-1.fc14,empathy-2.31.90-1.fc14,folks-0.1.14.1-1.fc14,libgee-0.5.2-2.fc14

Comment 21 Fedora Update System 2010-09-11 03:38:07 UTC
telepathy-logger-0.1.5-1.fc14, empathy-2.31.90-1.fc14, folks-0.1.14.1-1.fc14, libgee-0.5.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.